List messages for a conversation

Retrieves a paginated list of the messages in a single conversation (scoped to the authenticated customer), ordered by created date (most recent first).

GET
/v3/conversations/{id}

Path Parameters

id*string

Conversation id from the route.

Formatuuid

Query Parameters

page*integer
Formatint32
page_size*integer
Formatint32

Header Parameters

x-profile-id?string

Profile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.

Formatuuid

Response Body

Messages retrieved successfully

application/json
  1. response

Standard API response envelope for all v3 endpoints

success?boolean

Indicates whether the request was successful

data?|null

The response data (null if error)

error?|null

Error details (null if successful)

meta?

Metadata about the request and response

Example Request
curl -X GET 'https://api.sent.dm/v3/conversations/08fab313-c9e2-502c-975e-08b0356c432e?page=1&page_size=20'
Example Response
{  "success": true,  "data": {    "messages": [      {        "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",        "customer_id": "41681f0a-15b4-45ab-afca-d9af35b4d3a1",        "contact_id": "14b278db-6db8-448f-a5db-8d6ce46a3451",        "phone": "+1234567890",        "phone_international": "+1 234-567-890",        "region_code": "US",        "template_id": null,        "template_name": null,        "template_category": null,        "channel": "sms",        "message_body": null,        "status": "DELIVERED",        "direction": "OUTBOUND",        "created_at": "2026-11-12T15:27:26.7763258+00:00",        "price": 0.0075,        "active_contact_price": 0,        "events": null,        "reason_code": null,        "reason": null      }    ],    "pagination": {      "page": 1,      "page_size": 20,      "total_count": 1,      "total_pages": 1,      "has_more": false,      "cursors": null    }  },  "error": null,  "meta": {    "request_id": "req_7X9zKp2jDw",    "timestamp": "2026-11-12T15:32:26.7763605+00:00",    "version": "v3"  }}